> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juicyway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List wallets



## OpenAPI

````yaml /openapi.json get /wallets/all
openapi: 3.0.0
info:
  title: Juicyway API
  version: 1.0.0
servers: []
security: []
tags:
  - description: Payment APIs
    name: payments
  - description: Payouts APIs
    name: payouts
  - description: Exchange APIs
    name: exchange
  - description: Wallets APIs
    name: wallets
paths:
  /wallets/all:
    get:
      tags:
        - wallets
      summary: List wallets
      operationId: Wallets.Web.Controller.list_wallets
      parameters:
        - description: Before Cursor
          in: query
          name: before
          required: false
          schema:
            type: string
        - description: After Cursor
          in: query
          name: after
          required: false
          schema:
            type: string
        - description: Limit
          in: query
          name: limit
          required: false
          schema:
            type: integer
        - description: ''
          in: query
          name: customer_id
          required: false
          schema:
            description: Customer ID
            type: string
        - description: ''
          in: query
          name: currency
          required: false
          schema:
            $ref: 30598bfb-37e5-4d55-ac9a-af61fef06604
        - description: Wallet status
          in: query
          name: status
          required: false
          schema:
            enum:
              - active
              - frozen
              - deleted
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletsResponse'
          description: Link List
      callbacks: {}
components:
  schemas:
    WalletsResponse:
      description: Response schema for wallet list
      properties:
        data:
          description: Wallet list
          items:
            $ref: '#/components/schemas/WalletDetails'
          type: array
        pagination:
          $ref: '#/components/schemas/Pagination'
      title: WalletsResponse
      type: object
    WalletDetails:
      description: Transaction details
      example:
        account_id: f55ca88c-71aa-4dab-a10a-4d818c11e8e6
        balance:
          amount: 0
          currency: USD
        customer_id: a08bf5a3-8459-4e65-a5bb-34a1feef94cf
        events:
          - action: create
            id: 6a2a5833-609d-4dff-a4e6-0eaf452d7826
            inserted_at: '2025-07-24T08:08:07Z'
            reason: null
            wallet_id: 55a76a42-ed3a-4d0b-b74c-2887d64612f6
        id: 3d2e3f3e-3b3c-4907-a4fd-e241203440d7
        payment_methods: []
        status: active
      properties:
        account_id:
          description: Account Id
          type: string
        balance:
          description: Wallet balance
          type: integer
        currency:
          description: Wallet Currency
          type: string
        customer_id:
          description: Customer Id
          type: string
        events:
          description: Wallet events
          items:
            $ref: '#/components/schemas/WalletEvent'
          type: array
        id:
          description: Id
          type: string
        payment_methods:
          description: payment methods
          items: 4c34c4b8-6796-4063-a09d-e144eb05ce1a
          type: array
        status:
          enum:
            - active
            - deleted
            - frozen
          type: string
      title: WalletDetails
      type: object
    Pagination:
      example:
        after: b101f718-d133-450c-a572-c281c7341803
        before: null
        limit: 15
      properties:
        after:
          description: After cursor
          nullable: true
          type: string
        before:
          description: Before cursor
          nullable: true
          type: string
        limit:
          description: Limit
          type: integer
      title: Pagination
      type: object
    WalletEvent:
      description: A Wallet event
      nullable: true
      properties:
        action:
          enum:
            - freeze
            - unfreeze
            - delete
            - restore
            - create
          type: string
        id: f452e929-6d19-4ef4-bafe-2de472bc8e07
        inserted_at:
          format: date-time
          type: string
        reason:
          nullable: true
          type: string
        wallet_id: e1d2508e-366f-4021-a9e7-44b07d000967
      title: WalletEvent
      type: object

````